@extends('themes.base.layout')
@section('title', $album->name)

@php ($hasChildren = $album->children()->count() > 0)

@section('content')
    <div class="container-fluid album-container">
        <div class="row">
            <div class="col-xl-8 offset-xl-2">
                <div class="row">
                    <div class="col">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
                            @include(Theme::viewName('partials.album_breadcrumb'))
                        </ol>
                    </div>
                </div>

                <div class="row">
                    <div class="col text-center">
                        <h1>@lang('gallery.album_no_results_heading')</h1>
                        <p style="line-height: 1.6em;">@lang('gallery.album_no_results_text', ['admin_link' => sprintf('<a href="%s">%s</a>', route('admin'), trans('admin.title'))])</p>
                        <p style="margin-bottom: 30px; line-height: 1.6em;">@lang('gallery.album_no_results_text_2')</p>

                        <img src="{{ asset('themes/base/images/smartphone-photo.jpg') }}" class="img-fluid rounded" style="display: inline;" />
                    </div>
                </div>

                @if ($hasChildren)
                    <h2 style="margin-top: 60px;"><small class="text-muted">@lang('gallery.other_albums_heading', ['album_name' => $album->name])</small></h2>
                    <p class="mb-4">@lang('gallery.other_albums_description')</p>

                    <div class="row">
                        @foreach ($album->children as $childAlbum)
                            <div class="col-sm-4 col-md-3" style="max-width: 250px;">
                                <div class="card mb-3">
                                    <img class="card-img-top" src="{{ $childAlbum->thumbnailUrl('preview') }}" style="max-height: 120px;"/>
                                    <div class="card-block">
                                        <h5 class="card-title"><a href="{{ $childAlbum->url() }}">{{ $childAlbum->name }}</a></h5>
                                    </div>
                                    <div class="card-footer">
                                        <small class="text-muted"><i class="fa fa-fw fa-photo"></i> {{ $childAlbum->photos_count }} photos</small>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection